cluster_name       = "argocd-eks-cluster"
name_prefix        = "argocd-development"
main_network_block = "10.0.0.0/16"

eks_managed_node_groups = {
  "devops-eks-ondemand" = {
    ami_type     = "AL2_x86_64"
    min_size     = 2
    max_size     = 4
    desired_size = 2
    instance_types = [
      "t2.small",
    ]
    capacity_type = "ON_DEMAND"
    network_interfaces = [{
      delete_on_termination       = true
      associate_public_ip_address = true
    }]
  }
}

external_dns_iam_role      = "external-dns"
external_dns_chart_name    = "external-dns"
external_dns_chart_repo    = "https://kubernetes-sigs.github.io/external-dns/"
external_dns_chart_version = "1.9.0"

external_dns_values = {
  "image.repository"   = "k8s.gcr.io/external-dns/external-dns",
  "image.tag"          = "v0.12.0",
  "logLevel"           = "info",
  "logFormat"          = "json",
  "triggerLoopOnEvent" = "true",
  "interval"           = "5m",
  "policy"             = "sync",
  "sources"            = "{ingress}"
}

load_balancer_name           = "aws-load-balancer-controller"
alb_controller_iam_role      = "load-balancer-controller"
alb_controller_chart_name    = "aws-load-balancer-controller"
alb_controller_chart_repo    = "https://aws.github.io/eks-charts"
alb_controller_chart_version = "1.4.7"

admin_users     = ["devops"]
developer_users = ["develop-kiki", "develop-chack"]
